# Interface RcsbFv3DCustomInterface

#### Hierarchy

- RcsbFv3DCustomInterface

- Defined in src/RcsbFv3D/RcsbFv3DCustom.tsx:18

#####
Index

### Properties

cssConfig?
elementId?
sequencePanelConfig
structurePanelConfig

## Properties

### `Optional` cssConfig

cssConfig?: RcsbFv3DCssConfig

- Defined in src/RcsbFv3D/RcsbFv3DCustom.tsx:26

### `Optional` elementId

elementId?: string

- Defined in src/RcsbFv3D/RcsbFv3DCustom.tsx:19

### sequencePanelConfig

sequencePanelConfig: {
config: CustomViewInterface<LoadMolstarInterface<unknown, unknown>, LoadMolstarReturnType>;
subtitle?: string;
title?: string;
}

#### Type declaration

- ##### config: CustomViewInterface<LoadMolstarInterface<unknown, unknown>, LoadMolstarReturnType>

- ##### `Optional` subtitle?: string

- ##### `Optional` title?: string

- Defined in src/RcsbFv3D/RcsbFv3DCustom.tsx:21

### structurePanelConfig

structurePanelConfig: RcsbFvStructureConfigInterface<LoadMolstarInterface<unknown, unknown>, {
viewerProps: Partial<ViewerProps>;
}>

#### Type declaration

- ##### viewerProps: Partial<ViewerProps>

- Defined in src/RcsbFv3D/RcsbFv3DCustom.tsx:20

Generated using TypeDoc